//
// Oliver Wilson <oliver.wilson@ed.ac.uk>
//

#ifndef HASHFUNCTION_H
#define HASHFUNCTION_H

#include <stdint.h>

#include "ticpp.h"

namespace LDHT {

class FactoryCollection;

class HashFunction {
public:
    virtual ~HashFunction() {};

    virtual uint64_t hash(uint64_t key) = 0;
    virtual void fromXml(FactoryCollection& factory_collection,
                         ticpp::Element& xml_element) = 0;

};

}  // namespace LDHT.

#endif  // HASHFUNCTION_H

