//
// Oliver Wilson <oliver.wilson@ed.ac.uk>
//

#ifndef TABLEDIRECTORY_H
#define TABLEDIRECTORY_H

#include <map>

#include "ticpp.h"

namespace LDHT {

class TableDirectory {
public:
    void fromXml(ticpp::Element& config_root_element);
    void addTableFromXml(ticpp::Element& table_element);

    int getTableIdFromName(std::string& table_name);

private:
    std::map<std::string, int> m_table_tableid_map;

};

} // namespace LDHT.

#endif  // TABLEDIRECTORY_H

