//
// Oliver Wilson <oliver.wilson@ed.ac.uk>
//

#ifndef THREAD_H
#define THREAD_H

#include <pthread.h>

namespace LDHT {

class Logic;

class Thread {
public:
    static void* run(void*);

    Thread(Logic*);
    ~Thread();
    void run();
    void kill();
    void join();

private:
    Logic* m_logic;
    pthread_t m_thread;

};

}  // namespace LDHT.

#endif  // THREAD_H

