//
// Oliver Wilson <oliver.wilson@ed.ac.uk>
//

#ifndef TRANSPORTTCP_H
#define TRANSPORTTCP_H

#include "Transport.h"

namespace LDHT {

class TransportTCP : public Transport {
public:
    TransportTCP(const char*, int);
    TransportTCP(int);
    virtual ~TransportTCP();

    virtual size_t sendBytes(uint8_t*, size_t);
    virtual bool canSend();
    virtual size_t recvBytes(uint8_t*, size_t);
    virtual bool canRecv();
    virtual void flush();
    virtual int getReadFd();

private:
    int m_sd;
};

}  // namespace LDHT.

#endif  // TRANSPORTTCP_H

